Bug 192764 - system-config-printer unusable
system-config-printer unusable
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Target
  Show dependency treegraph
Reported: 2006-05-22 16:04 EDT by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-20 06:29:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of "system-config-printer-0.7.8-1" post-configuration window (7.88 KB, image/png)
2006-05-22 16:06 EDT, Joachim Frieben
no flags Details
"About System-Config-Printer" screenshot (5.64 KB, image/png)
2006-06-20 06:48 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2006-05-22 16:04:57 EDT
Description of problem:
The "system-config-printer" utility has undergone major overhaul in
the 0.7.x series. Right now, the printer configuration dialog is
broken. When one confirms the printer choice, nothing happens. There
is only some text "label126" that appears in the center of the
application window. Looks as if some resourece is missing or corrupted.
At this point, one can only abort the program because the "Apply" button
simply does not respond. No printer configuration is written in this

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Fedora Core from the development tree. 
2. Go to "System > Administration > Printing"
3. Try to install an HP LaserJet 4100 printer
Actual results:
One gets stuck in the post-configuration window.

Expected results:
One should have quit the application gracefully, and the
configuration files should have got updated accordingly. 

Additional info:
It is possible to install a printer by means of the "CUPS"
web interface, although the installation choices are a lot
less exhaustive than they used to be up to FC5 not even to
speak about the numerous bugs. "CUPS" 1.2 has been a clear
regression in this respect.
Comment 1 Joachim Frieben 2006-05-22 16:06:02 EDT
Created attachment 129825 [details]
Screenshot of "system-config-printer-0.7.8-1" post-configuration window
Comment 2 Tim Waugh 2006-05-25 07:32:22 EDT
I can't reproduce this here.  When you see this problem, is there a Python error
message at the end of /tmp/xses-*?

It may be easier to see if there is a Python error by running
'system-config-printer' from a terminal window.

Comment 3 Joachim Frieben 2006-05-25 17:21:10 EDT
The corresponding console output reads:

    uri = self.getDeviceURI()
File "/usr/share/system-config-printer/system-config-printer.py",
line 1564, in getDeviceURI
    host = self.cmbNPTDirectJetHostname.get_text()
AttributeError: GUI instance has no attribute 'cmbNPTDirectJetHostname'

The issue might thus be related to the particular case of installing
an "HP LaserJet" printer through the "JetDirect" interface.

There is an entry in the "xses" file, but its appearance is not related
to invoking "system-config-printer". Anyway:

** (eggcups:3694): WARNING **: IPP request failed with status 1030

When invoking "system-config-printer" a 2nd time, it is not even possible
to add a new printer, and the corresponding console output reads:

  File "/usr/lib/python2.4/posixpath.py", line 143, in getmtime
    return os.stat(filename).st_mtime
OSError: [Errno 2] No such file or directory:

which is correct, as the only content of "/usr/share/foomatic/db/source"
is a directory hierarchy containing a compressed "ppd" file:

Comment 4 Joachim Frieben 2006-05-25 17:44:12 EDT
This happens on a fresh install of Fedora Core rawhide (2006-05-25).
In order to add a new printer after having used "system-config-printer"
before, it is necessary to remove "/tmp/foomatic.pickle" (maybe a
left-over from the first failed attempt?). Otherwise, the corresponding
button is unresponsive.
Comment 5 Tim Waugh 2006-05-26 05:53:17 EDT
Aha, this was what I needed:
  AttributeError: GUI instance has no attribute 'cmbNPTDirectJetHostname'
I've fixed this in CVS.

This error:
  ** (eggcups:3694): WARNING **: IPP request failed with status 1030
is something else I need to investigate.

  '/usr/share/foomatic/db/source/printer' [Errno 2] No such file or directory
sounds like a problem with your installation: for some reason foomatic is not
installed.  Well, system-config-printer ought to require it but it does not. 
Fixed that in CVS too now.
Comment 6 Tim Waugh 2006-05-26 08:41:38 EDT
system-config-printer-0.7.10-1 should fix two of the three issues.

The remaining one is the eggcups error message.
Comment 7 Joachim Frieben 2006-05-26 13:41:37 EDT
Great, new issue: after a fresh install from the Fedora Core rawhide
tree, I was absolutely unable to launch any of the Python based config
utilities including "system-config-printer-0.7.9-1". There was an
error message analog to the following for "pup":

Traceback (most recent call last):
  File "/usr/sbin/pup", line 29, in ?
    import gtk
ImportError: No module named gtk

It turned out that the new package "pygobject2" is missing from the
package requirements (see Bug #193244 on this issue). After installing
it manually, the utilities work again. Now that I have also installed
"foomatic" by hand, the driver choice again corresponds to what I was
used to in FC5, etc. The "label126" issue will probably disappear in
Comment 8 Tim Waugh 2006-05-27 09:04:34 EDT
For that issue see bug #193282.
Comment 9 Joachim Frieben 2006-05-27 10:49:03 EDT
Works for me now. Still empty labels ("label124", etc.) due to
unspecified resources in "About" window.
Comment 10 Joachim Frieben 2006-05-28 13:18:35 EDT
Oops, I did it again. Installing a printer using the "LPD/LPR" leads to:

  host = self.cmbNPTLPDHostname.get_text()
  AttributeError: GUI instance has no attribute 'cmbNPTLPDHostname'

One gets stuck in a window with the already familiar "label126" text
when only the host name but not the printer name is given, which does
not seem too idiotic in the case of a standalone network printer.
Comment 11 Joachim Frieben 2006-05-28 13:22:25 EDT
If both host name and printer name are specified, on gets still
stuck but the text in the window is rather:

  "Going to create a new printer <foo> at ."

On the console, on reads:

  File "/usr/share/system-config-printer/system-config-printer.py",
  line 1809, in on_btnNPApply_clicked
  uri = self.getDeviceURI()
  File "/usr/share/system-config-printer/system-config-printer.py",
  line 1586, in getDeviceURI
    host = self.cmbNPTLPDHostname.get_text()
  AttributeError: GUI instance has no attribute 'cmbNPTLPDHostname'
Comment 12 Tim Waugh 2006-05-30 08:11:43 EDT
Fixed in CVS.
Comment 13 Joachim Frieben 2006-06-01 11:33:13 EDT
Great, now, its only the missing labels and the broken dependencies.
"yum" claims that it cannot find "system-config-printer-libs-0.7.11-1"
when updating the system, and even after downloading the actually
existing package, it has to be installed with " --nodeps", otherwise
"rpm" will reject it.
Comment 14 Tim Waugh 2006-06-01 11:41:15 EDT
0.7.11-3 removes '%{epoch}:' from the dependency line.
Comment 15 Tim Waugh 2006-06-20 06:29:15 EDT
So the remaining bug was about eggcups.  This is separately reported as bug #193204.
Comment 16 Joachim Frieben 2006-06-20 06:46:57 EDT
It would be nice though to define the missing text resources for the
"About System-Config-Printer" (screenshot attached) mentioned in
comment #9.
Comment 17 Joachim Frieben 2006-06-20 06:48:23 EDT
Created attachment 131177 [details]
"About System-Config-Printer" screenshot
Comment 18 Tim Waugh 2006-06-20 08:10:26 EDT
Oops, fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.